﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using Telerik.Web.Zip;
using System.Linq;

public partial class _Default : System.Web.UI.Page
{
    private string EditItemKeyName = null;

    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = SqlDataSource1.Select(new DataSourceSelectArguments());
    }

    protected void RadGrid1_EditCommand(object sender, GridCommandEventArgs e)
    {
        if (e.Item is GridDataItem)
        {
            EditItemKeyName = (e.Item as GridDataItem).GetDataKeyValue("EmployeeID").ToString();
            e.Item.Edit = false;
        }
    }

    protected void RadGrid1_PreRender(object sender, EventArgs e)
    {
        if (!String.IsNullOrEmpty(EditItemKeyName))
        {
            GridDataItem itemForEdit = null;
            foreach (GridDataItem item in RadGrid1.MasterTableView.Items)
            {
                if (item.GetDataKeyValue("EmployeeID").ToString() == EditItemKeyName)
                {
                    itemForEdit = item;
                    break;
                }
            }
            if (itemForEdit != null)
            {
                itemForEdit.Edit = true;
                RadGrid1.Rebind();
            }
        }
    }
    protected void RadGrid1_UpdateCommand(object sender, GridCommandEventArgs e)
    {
        string empID = ((e.Item as GridEditableItem).EditManager.GetColumnEditor("EmployeeID") as GridNumericColumnEditor).Text;
        string lastName = ((e.Item as GridEditableItem).EditManager.GetColumnEditor("LastName") as GridTextBoxColumnEditor).Text;
        string firstName = ((e.Item as GridEditableItem).EditManager.GetColumnEditor("FirstName") as GridTextBoxColumnEditor).Text;
        SqlDataSource1.UpdateParameters["EmployeeID"].DefaultValue = empID;
        SqlDataSource1.UpdateParameters["LastName"].DefaultValue = lastName;
        SqlDataSource1.UpdateParameters["FirstName"].DefaultValue = firstName;
        SqlDataSource1.Update();
    }
}